@import '@styles/_variables';
@import '@styles/mixins';

.badge-rnr {

    border-radius: 16px;
    display: inline-flex;
    background-color: antiquewhite;
    font-weight: 500;
    margin: 15px;

    &.badge-success {
        @include badgeType( #027A48 ,  #ECFDF3 )
    }
    &.badge-danger {
        @include badgeType( #B42318 ,  #FEF3F2 )
    }
    &.badge-normal {
        @include badgeType( #344054 ,  #F2F4F7 )
    }
    &.badge-warning {
        @include badgeType( #B54708 , #FFFAEB )
    }

    .badge-label {
        display: flex;
    align-items: center;
        &.badge-sm {
            @include badgeSize(  4px , 12px  ,14px  )
        }
        &.badge-md {
            @include badgeSize(  6px , 16px , 20px  )
        }
        &.badge-lg {
            @include badgeSize(  8px , 20px , 24px  )
        }
    }
   

}